/*
 * Parameter for SystemParametersInfo()
 */

#define SPI_GETACCESSTIMEOUT       60
#define SPI_GETANIMATION           72
#define SPI_GETBEEP                 1
#define SPI_GETBORDER               5
#define SPI_GETDEFAULTINPUTLANG    89
#define SPI_GETDRAGFULLWINDOWS     38
#define SPI_GETFASTTASKSWITCH      35
#define SPI_GETFILTERKEYS          50
#define SPI_GETFONTSMOOTHING       74
#define SPI_GETGRIDGRANULARITY     18
#define SPI_GETHIGHCONTRAST        66
#define SPI_GETICONMETRICS         45
#define SPI_GETICONTITLELOGFONT    31
#define SPI_GETICONTITLEWRAP       25
#define SPI_GETKEYBOARDDELAY       22
#define SPI_GETKEYBOARDPREF        68
#define SPI_GETKEYBOARDSPEED       10
#define SPI_GETLOWPOWERACTIVE      83
#define SPI_GETLOWPOWERTIMEOUT     79
#define SPI_GETMENUDROPALIGNMENT   27
#define SPI_GETMINIMIZEDMETRICS    43
#define SPI_GETMOUSE                3
#define SPI_GETMOUSEHOVERHEIGHT   100
#define SPI_GETMOUSEHOVERTIME     102
#define SPI_GETMOUSEHOVERWIDTH     98
#define SPI_GETMOUSEKEYS           54
#define SPI_GETMOUSETRAILS         94
#define SPI_GETNONCLIENTMETRICS    41
#define SPI_GETPOWEROFFACTIVE      84
#define SPI_GETPOWEROFFTIMEOUT     80
#define SPI_GETSCREENREADER        70
#define SPI_GETSCREENSAVEACTIVE    16
#define SPI_GETSCREENSAVETIMEOUT   14
#define SPI_GETSERIALKEYS          62
#define SPI_GETSHOWSOUNDS          56
#define SPI_GETSNAPTODEFBUTTON     95
#define SPI_GETSOUNDSENTRY         64
#define SPI_GETSTICKYKEYS          58
#define SPI_GETTOGGLEKEYS          52
#define SPI_GETWHEELSCROLLLINES   104
#define SPI_GETWINDOWSEXTENSION    92
#define SPI_GETWORKAREA            48

#define SPI_ICONHORIZONTALSPACING  13
#define SPI_ICONVERTICALSPACING    24
#define SPI_LANGDRIVER             12
#define SPI_SCREENSAVERRUNNING     97

#define SPI_SETACCESSTIMEOUT       61
#define SPI_SETANIMATION           73
#define SPI_SETBEEP                 2
#define SPI_SETBORDER               6
#define SPI_SETCURSORS             87
#define SPI_SETDEFAULTINPUTLANG    90
#define SPI_SETDESKPATTERN         21
#define SPI_SETDESKWALLPAPER       20
#define SPI_SETDOUBLECLICKTIME     32
#define SPI_SETDOUBLECLKHEIGHT     30
#define SPI_SETDOUBLECLKWIDTH      29
#define SPI_SETDRAGFULLWINDOWS     37
#define SPI_SETDRAGHEIGHT          77
#define SPI_SETDRAGWIDTH           76
#define SPI_SETFASTTASKSWITCH      36
#define SPI_SETFILTERKEYS          51
#define SPI_SETFONTSMOOTHING       75
#define SPI_SETGRIDGRANULARITY     19
#define SPI_SETHANDHELD            78
#define SPI_SETHIGHCONTRAST        67
#define SPI_SETICONMETRICS         46
#define SPI_SETICONS               88
#define SPI_SETICONTITLELOGFONT    34
#define SPI_SETICONTITLEWRAP       26
#define SPI_SETKEYBOARDDELAY       23
#define SPI_SETKEYBOARDPREF        69
#define SPI_SETKEYBOARDSPEED       11
#define SPI_SETLANGTOGGLE          91
#define SPI_SETLOWPOWERACTIVE      85
#define SPI_SETLOWPOWERTIMEOUT     81
#define SPI_SETMENUDROPALIGNMENT   28
#define SPI_SETMINIMIZEDMETRICS    44
#define SPI_SETMOUSE                4
#define SPI_SETMOUSEBUTTONSWAP     33
#define SPI_SETMOUSEHOVERHEIGHT   101
#define SPI_SETMOUSEHOVERTIME     103
#define SPI_SETMOUSEHOVERWIDTH     99
#define SPI_SETMOUSEKEYS           55
#define SPI_SETMOUSETRAILS         93
#define SPI_SETNONCLIENTMETRICS    42
#define SPI_SETPENWINDOWS          49
#define SPI_SETPOWEROFFACTIVE      86
#define SPI_SETPOWEROFFTIMEOUT     82
#define SPI_SETSCREENREADER        71
#define SPI_SETSCREENSAVEACTIVE    17
#define SPI_SETSCREENSAVETIMEOUT   15
#define SPI_SETSERIALKEYS          63
#define SPI_SETSHOWSOUNDS          57
#define SPI_SETSNAPTODEFBUTTON     96
#define SPI_SETSOUNDSENTRY         65
#define SPI_SETSTICKYKEYS          59
#define SPI_SETTOGGLEKEYS          53
#define SPI_SETWHEELSCROLLLINES   105
#define SPI_SETWORKAREA            47

/*
 * Flags
 */
#define SPIF_UPDATEINIFILE    0x0001
#define SPIF_SENDWININICHANGE 0x0002
#define SPIF_SENDCHANGE       SPIF_SENDWININICHANGE
