//////////////////////////////////////////////////////////////////////
//
//  _CHKNETB.CH
//
//  Copyright:
//       Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//       Translate directives for program code calling CA-Tools III
//       functions. This file checks your program code for functions
//       which are not supported by XbTools-III. This file is to be
//       used with XBTNETB.LIB
//   
//////////////////////////////////////////////////////////////////////


#ifndef _CHKNETB_CH

   #translate CloseSock([<x,...>])     =>  #error Function CloseSock is not supported
   #translate IpxError([<x,...>])      =>  #error Function IpxError is not supported
   #translate IpxOpen([<x,...>])       =>  #error Function IpxOpen is not supported
   #translate IsIpx([<x,...>])         =>  #error Function IsIpx is not supported
   #translate IsSpx([<x,...>])         =>  #error Function IsSpx is not supported
   #translate OpenSock([<x,...>])      =>  #error Function OpenSock is not supported
   #translate PpcEvent([<x,...>])      =>  #error Function PpcEvent is not supported
   #translate PpcKey([<x,...>])        =>  #error Function PpcKey is not supported
   #translate SpxConTarg([<x,...>])    =>  #error Function SpxConTarg is not supported
   #translate SpxEstbCon([<x,...>])    =>  #error Function SpxEstbCon is not supported
   #translate SpxListCon([<x,...>])    =>  #error Function SpxListCon is not supported

#define _CHKNETB_CH
#endif
* EOF *
