// -------------------------------   csApp.ch   ---------------------------------
//
//

#ifndef  _CSAPP_CH

#pragma Library( "XppUi2.lib" )        // per utilizzare xbpBrowse

// --------------------------------- eventi della procedura main e gestione Parent/Owner
#define APP_MAINWIN   1
#define APP_PARAM     2
#define APP_MENU      3
#define APP_STRU      4
#define APP_PREF      5
#define APP_LIC       6
#define APP_VERSION   7
#define APP_SPLASH    8
#define APP_USER      9   // ? sembra che non la uso anche se in alcune applicazioni c'e' l'evento
#define APP_CHKMENU  10
#define APP_PROC     11
#define APP_QUIT     12

#define APP_MDI       1
#define APP_SDI       2
#define APP_TREE      3
#define APP_COMBO     4

// --------------------------------- elementi dell'array dei menu
#define APPMNU_MOD    1
#define APPMNU_TITLE  2
#define APPMNU_KEY    3
#define APPMNU_CMD    4
#define APPMNU_ICO    5
#define APPMNU_RIGHTS 6

// --------------------------------- sistema di notifiche con programma MSGNOTIFIER
#define MSGNOTIFIER_SENT    0
#define MSGNOTIFIER_NO_PROG 1
#define MSGNOTIFIER_NO_USER 2
#define MSGNOTIFIER_ERROR   3
#define MSGNOTIFIER_INIT    4

// --------------------------------------- TEST DIRITTI UTENTE PER PROCEDURA E MODULO
#command  TESTPROC <cName> => if !m->app:testProc(<cName>,,.t.) ; return nil ; endif
#command  TESTPROC <cName> SILENT => if !m->app:testProc(<cName>,,.f.) ; return nil ; endif
#command  TESTMOD <cName> => if !m->app:testMod(<cName>,.f.) ; return nil ; endif
#command  TESTMOD <cName> VERBOSE => if !m->app:testMod(<cName>,.t.) ; return nil ; endif

// ----------------- array definizione campi utente
#define ADEF_USRVARS  {'DESCRIZ.C40','FNAME.C10','FTYPE.C1','FLEN.N','TLINK.C1','LINK.C10'}
#define ADEF_DESCRIZ 1
#define ADEF_FNAME   2
#define ADEF_FTYPE   3
#define ADEF_FLEN    4
#define ADEF_TLINK   5
#define ADEF_LINK    6

// ---------------------------------------------------------- VARIABILI GLOBALI
#define G_USRDATE     iif(isMemVar('sxcp'),date(),m->app:UsrDate)
#define G_USER        m->app:User
#define G_NAMEDB      m->app:NameDB
#define G_DEMO        m->app:Demo
#define G_RIGHTS      m->app:Rights

#define G_LIC_NAME     m->app:aDati[ 1]
#define G_LIC_MOD      m->app:aDati[ 2]
#define G_LIC_USERS    m->app:aDati[ 3]
#define G_LIC_KEY      m->app:aDati[ 4]
#define G_CFG_DBNAME   m->app:aDati[ 5]
#define G_CFG_PWD      m->app:aDati[ 6]
#define G_CFG_LOG      m->app:aDati[ 7]
#define G_CFG_EPOCH    m->app:aDati[ 8]
#define G_CFG_SAVEPOS  m->app:aDati[ 9]
#define G_CFG_MOREDEC  m->app:aDati[10]
#define G_CFG_EDITOR   m->app:aDati[11]
#define G_CFG_ZIPDIR   m->app:aDati[12]
#define G_AGG_KEY      m->app:aDati[13]
#define G_AGG_DATA     m->app:aDati[14]
#define G_AGG_TIPO     m->app:aDati[15]
#define G_CFG_ZIPPWD   m->app:aDati[16]
#define G_CFG_AUTOZIP  m->app:aDati[17]  // backup automatico
#define G_CFG_DEFAULT  m->app:aDati[18]  // archivio predefinito
#define G_CFG_OBSOLETI m->app:aDati[19]  // abilita procedure obsolete

// ---------------------------------------------------- GESTIONE DELLE STUTTURE
#define STRU_MAX      255            // numero massimo di tabelle del database

#define STRU_ALIAS    1              // alias della tabella
#define STRU_NAME     2              // nome tabella
#define STRU_FLD      3              // struttura dei campi
#define STRU_IND      4              // indici
#define STRU_DEMO     5              // max records versione demo
#define STRU_TITLE    6              // nome descrittivo della tabella
#define STRU_MODULE   7              // modulo di appartenenza della tabella

#define CSF_DESCRI    1              // descrizione del campo
#define CSF_NAME      2              // nme campo
#define CSF_TYPE      3              // tipo C M N D L
#define CSF_DIM       4              // dimensione
#define CSF_DEC       5              // decimali
#define CSF_OTHER     6              // altri parametri = filtrabili
#define CSF_TLINK     7              // tipo loockup
#define CSF_LINK      8              // specifica loockup
#define CSF_SLINK     9              // decodifica loockup
#define CSF_S2       10              // specifiche aggiuntive
#define CSF_S3       11
#define CSF_S4       12
#define CSF_S5       13
#define CSF_S6       14
#define CSF_S7       15
#define CSF_MAX       CSF_S7

#define IND_DESCRI    1              // descrizione dell'indice
#define IND_NAME      2              // nome indice
#define IND_OTHER     3              // altro = crescente/descrscente
#define IND_KEY       4              // formula di ordinamento
#define IND_FLD       5              // campi implicati
#define IND_MAX       IND_FLD

#define INDCSF_NUM    1              // campi per il seek da browse
#define INDCSF_NAME   2
#define INDCSF_POS    3
#define INDCSF_LNAME  4

#define  _CSAPP_CH
#endif
