// -----------------------------   csAppUt.ch   -------------------------------
//
//
#ifndef  _CSAPPUT_CH

#define SPUNTA_ON  chr(97)             // caratteri per la spunta
#define SPUNTA_OFF ""                  // utilizzare il font marlett
#define SPUNTA_SI  "S"                 // alternativa a spunta_on

#define APP_PMODAL    appDesktop()     // parent delle win modali
#define APP_OMODAL    SetAppWindow()   // owner delle win modali
#define APP_PARENT    GetAppParent()   // parent globale dell'applicazione


// ------------------------------------------------- ALLINEAMENTO DI CENTERPOS
#define CSA_CENTER    0
#define CSA_LBOTTOM   1
#define CSA_CBOTTOM   2
#define CSA_RBOTTOM   3
#define CSA_LTOP      4
#define CSA_CTOP      5
#define CSA_RTOP      6
#define CSA_LEFT      7
#define CSA_RIGHT     8

#define CSA_DEFAULT   CSA_CENTER
#define CS_DEFSIZE    {580,400}

// ------------------------------------------------- PICTURE DATI NUMERICI
#define MONEY_NO      0
#define MONEY_YES     1
#define MONEY_PRZ     2

// ------------------------------------------------- FONTS DI DEFAULT
#define FONT_SMALL           "8.MS Sans Serif"
#define FONT_GETS            "8.Lucida Console"
#define FONT_LABELS          "8.MS Sans Serif"

// ------------------------------------------------- ARRAY DA PASSARE A GETVALUES
#define GETVAL_DESCRIZ   1
#define GETVAL_DATA      2
#define GETVAL_PICTURE   3
#define GETVAL_TLINK     4
#define GETVAL_LINK      5
#define GETVAL_OLINK     6
#define GETVAL_POSTBLOCK 7
#define GETVAL_MAXLEN    GETVAL_POSTBLOCK

// ------------------------------------------------- DEFINIZIONI TABELLE NEI MEMO
#define ADEF_RECAPITI  {'TIPO.C2','RAGSOC.C50','VIA.C40','CAP.C5','CITTA.C30','PROV.C10','TELEF.C50','NOTE.C50','DATA.D8'}
#define ADEF_CONTATTI  {'TCON.C3','CONTATTO.C100','TPER.C3','TITOLO.C10','NOME.C25','COGN.C25','NOTE.C50','DATA.D'}
#define ADEF_DOCUMENTI {'NOME.C120','EXT.C3','DESCRIZ.C50','NOTE.C50','DATA.D'}
#define ADEF_STTUSER   {'STATION.C60','USER.C20','NOTE.C50'}

#define ADEFCNT_TCON      1
#define ADEFCNT_CONTATTO  2
#define ADEFCNT_TPER      3
#define ADEFCNT_TITOLO    4
#define ADEFCNT_NOME      5
#define ADEFCNT_COGN      6
#define ADEFCNT_NOTE      7
#define ADEFCNT_DATA      8

// ----------------------------------------------------------- LOOP STORICO
#command FORHIST  <oh>  => while <oh>:check()
#command SKIPHIST <oh>  => <oh>:skip() ; loop
#command ENDHIST  <oh>  => <oh>:skip() ; end

// ----------------------------------------------------------- LOOP STORICO
#command RFORHIST  <oh>  => while <oh>:rcheck()
#command RSKIPHIST <oh>  => <oh>:skip(-1) ; loop
#command RENDHIST  <oh>  => <oh>:skip(-1) ; end

// ---------------------------------------------------------- ALTRI COMANDI
#xcommand CSSEEK <alias> [<para,...>] => csDBSeek(<(alias)>, <para>)
#xtranslate CSSEEK(<alias>,[<para,...>]) => csDBSeek(<(alias)>, <para>)

#define  _CSAPPUT_CH
#endif
