//////////////////////////////////////////////////////////////////////
//
//  DELDBE.CH
//
//  Copyright:
//     Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//     #define constants for DbeInfo() and DbInfo() of the DELDBE
//   
//////////////////////////////////////////////////////////////////////


#ifndef  _DELDBE_CH              
// Deldbe.ch is not included

// Dmlb.ch is required
#include "dmlb.ch"               

//
// #defines for DELDBE 
//
#define  DELDBE_MODE             DBE_USER+1
#define  DELDBE_RECORD_TOKEN     DBE_USER+2
#define  DELDBE_FIELD_TOKEN      DBE_USER+3
#define  DELDBE_DECIMAL_TOKEN    DBE_USER+4
#define  DELDBE_DELIMITER_TOKEN  DBE_USER+5
#define  DELDBE_LOGICAL_TOKEN    DBE_USER+6
#define  DELDBE_MAX_BUFFERSIZE   DBE_USER+7
#define  DELDBE_FIELD_TYPES      DBE_USER+8
#define  DELDBE_IGNORE_CTRL_CHAR DBE_USER+9
#define  DELDBE_SHARED_SUPPORT   DBE_USER+10

#define  DELDBO_MODE             DBE_USER+1

#define  DELDBE_SINGLEFIELD      1
#define  DELDBE_MULTIFIELD       2
#define  DELDBE_AUTOFIELD        3

// Deldbe.ch is included
#define  _DELDBE_CH         

#endif  // #ifndef _DELDBE_CH

