//////////////////////////////////////////////////////////////////////
//
//  XBTKBD.CH
//
//  Copyright:
//      Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//      #define constants for the Kbd-functions of XbTools-III
//   
//////////////////////////////////////////////////////////////////////


#ifndef _XBTKBD_CH
#define _XBTKBD_CH

// Constants for function KbdStat()
#define KST_RIGHTSHIFT             1   // right shift pressed
#define KST_LEFTSHIFT              2   // left shift pressed
#define KST_CTRL                   4   // ctrl pressed
#define KST_ALT                    8   // alt pressed
#define KST_SCROLLOCK             16   // scroll-lock active
#define KST_NUMLOCK               32   // num-lock active
#define KST_CAPSLOCK              64   // caps-lock active
#define KST_INSERT               128   // insert-mode active
#define KST_LEFTCTRL             256   // left ctrl pressed
#define KST_LEFTALT              512   // left alt pressed
#define KST_RIGHTCTRL           1024   // right ctrl pressed
#define KST_RIGHTALT            2048   // right alt pressed
#define KST_SCROLL              4096   // scroll-lock pressed
#define KST_NUM                 8192   // num-lock pressed
#define KST_CAPS               16384   // caps-lock pressed
#define KST_SYSRQ              32768   // sysrequest pressed

#endif                                 // #ifndef _XBTKBD_CH

// EOF

