//////////////////////////////////////////////////////////////////////
//
//  APPLICTN.CH
//
//  Copyright:
//      Alaska Software, (c) 1998-2023. All rights reserved.         
//  
//  Contents:
//      #define constants for application classes
//   
//////////////////////////////////////////////////////////////////////


// Applictn.ch is not included
#ifndef  _APPLICTN_CH

//****************************************************************************
// Settings for Xbase++ applications 
//****************************************************************************

// Defines for xbe_SystemPowerStatus event
#define XPP_POWERQUERY_GRANT           1
#define XPP_POWERQUERY_DENY            0x424D5144


//****************************************************************************
// Settings for applications using the Xbase Part library
//****************************************************************************

// Einstellungen fuer XbpApplication:EnableVisualStyles
#define XBPAPP_NOSTYLES        0
#define XBPAPP_DIALOGSTYLES    1
#define XBPAPP_CHILDSTYLES     2
#define XBPAPP_WEBSTYLES       4
#define XBPAPP_ALLSTYLES       XBPAPP_DIALOGSTYLES+XBPAPP_CHILDSTYLES

// Applictn.ch is included
#define  _APPLICTN_CH

#endif // #ifndef _APPLICTN_CH

// * EOF *
