//////////////////////////////////////////////////////////////////////
//
//  BOX.CH
//
//  Copyright:
//      Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//      #define constants for box character strings. Refer to:
//        -> command   @...BOX
//        -> function DISPBOX()
//      All box constants define only the border. There is no fill character!
//   
//  Remarks:
//      To display the box characters correctly the codepage 437 must be
//      used.
//   
//////////////////////////////////////////////////////////////////////


#include "natmsg.ch"

#ifndef  _BOX_CH                       
// Box.ch is not included
                                      
#define  B_SINGLE         nationMsg(NAT_MSG_B_SINGLE)

#define  B_DOUBLE         nationMsg(NAT_MSG_B_DOUBLE)

#define  B_SINGLE_DOUBLE  nationMsg(NAT_MSG_B_SINGLE_DOUBLE)

#define  B_DOUBLE_SINGLE  nationMsg(NAT_MSG_B_DOUBLE_SINGLE)

#define  B_THIN           nationMsg(NAT_MSG_B_THIN)                 

#define  B_FAT              nationMsg(NAT_MSG_B_FAT)
              

// Box.ch is included
#define  _BOX_CH                       

#endif  // #ifndef _BOX_CH

// * EOF *

