//////////////////////////////////////////////////////////////////////
//
//  CDXDBE.CH
//
//  Copyright:
//     Alaska Software, (c) 1997-2023. All rights reserved.         
//  
//  Contents:
//     #define constants for DbeSetInfo() and DboSetInfo() of the CDXDBE
//   
//////////////////////////////////////////////////////////////////////


#ifndef  _CDXDBE_CH          
// cdxdbe.ch is not included

// Dmlb.ch is required
#include "dmlb.ch"           

// CDXDBE generics
//
#define CDXDBE_LOCKOFFSET      (DBE_USER+1)
#define CDXDBE_LOCKRETRY       (DBE_USER+2)
#define CDXDBE_LOCKDELAY       (DBE_USER+3)
#define CDXDBE_LIFETIME        (DBE_USER+4)
#define CDXDBE_LOCKRETRY_MIN   (DBE_USER+5)
#define CDXDBE_LOCKDELAY_MIN   (DBE_USER+6)
#define CDXDBE_MODE            (DBE_USER+7)

#define CDXDBE_VFOXPRO         0x01
#define CDXDBE_FOXPRO2X        0x02
#define CDXDBE_COMIX           CDXDBE_FOXPRO2X
#define CDXDBE_SIX3            CDXDBE_FOXPRO2X

// Order specific (OrdInfo)
//
#define CDXORD_KEYTYPE         (DBE_USER+1)
#define CDXORD_COLLATION       (DBE_USER+2)
#define CDXORD_MODE            (DBE_USER+3)
#define CDXORD_LOCKMODE        (DBE_USER+4)
#define CDXORD_BATCHMODE       (DBE_USER+5)

// cdxdbe.ch is included
#define  _CDXDBE_CH         

#endif                    // #ifndef _CDXDBE_CH
