//////////////////////////////////////////////////////////////////////
//
//  COLOR.CH
//
//  Copyright:
//     Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//     #define constants for the function ColorSelect()
//   
//  Remarks:
//     The default colors consist of 5 color values (-> see SetColor() )
//     The default color string is  "W/N, N/W, N, N, N/W"
//     The 4. color value is not supported but can be selected using the
//     function ColorSelect().
//   
//////////////////////////////////////////////////////////////////////


/*
 * Color.ch is not included
 */
#ifndef  _COLOR_CH          

// Default color
#define  CLR_STANDARD    0  
// Highlight color
#define  CLR_ENHANCED    1  
// Color for screen border
#define  CLR_BORDER      2  
// Color for background (unsupported)
#define  CLR_BACKGROUND  3  
// unselected Gets
#define  CLR_UNSELECTED  4  

// Color.ch is included
#define  _COLOR_CH         


#endif // #ifndef _COLOR_CH

// * EOF *







