// ------------------------------   csBrowse   --------------------------------
//
//
#ifndef  _CSBROWSE_CH

// -------------------------------------------------- EVENTI DI BROWSE ED EDIT
#define CSE_INIT         1       // prima di tutto
#define CSE_INITSTYLE    2       // inizializza le colonne ed il display
#define CSE_INITNAV      3       // configura i pulsanti del navigator
#define CSE_REFRESH      4       // ad ogni refresh del display
#define CSE_COMMANDS     5       // comandi chiamati dai tasti o dal menu
#define CSE_FILTER       6       // puo' bypassare il sistema standard di filtro
#define CSE_SETORDER     7
#define CSE_LOCATE       8
#define CSE_PRINT        9       // lancia la procedura di stampa
#define CSE_INITDOC     10       // inizializzazioni di un documento
#define CSE_CHANGESTATE 11       // cambia lo stato di un documento
#define CSE_TEMPLATE    12       // inizializza il template per un csABrowse
#define CSE_LOAD        13       // dopo aver letto un record in un csABrowse
#define CSE_SAVE        14       // prima di scrivere un record da un csABrowse
#define CSE_END         15       // fine di un browse
#define CSE_EDIT        16       // aggiunge un record o modifica quello corrente
#define CSE_BEFORE      17       // before edit e append
#define CSE_VALIDATE    18       // validazione dati modificati/inseriti
#define CSE_ABORT       19       // in caso di abbandono
#define CSE_AFTER       20       // in caso di conferma modifiche
#define CSE_DELETE      21       // cancella il record corrente
#define CSE_RECALC      22       // premuto il pulsante di refresh del navigator
#define CSE_SETBROWSE   23       // prima di creare il browse posso cambiare la configurazione
#define CSE_MOVEUP      24       // procedure speciali per lo spostamento di records
#define CSE_MOVEDN      25       // procedure speciali per lo spostamento di records
#define CSE_DUPLICATE   26       // c'e' la duplicazione di un csArray

// ---------------------------------------------------  STYLE DEI BROWSE DIALOG
#define DLGS_TTOP        1
#define DLGS_TBOTTOM     2
#define DLGS_TLEFT       3
#define DLGS_TRIGHT      4
#define DLGS_BTOP        5
#define DLGS_BBOTTOM     6
#define DLGS_BLEFT       7
#define DLGS_BRIGHT      8

// ----------------------------------------------------- PULSANTI DEL NAVIGATOR
#define NAV_FIRST        1
#define NAV_PREV         2
#define NAV_NEXT         3
#define NAV_LAST         4
#define NAV_EXPORT       5
#define NAV_NEW          6
#define NAV_DELETE       7
#define NAV_EDIT         8
#define NAV_POST         9
#define NAV_CANCEL      10
#define NAV_REFRESH     11
#define NAV_MOVEUP      12
#define NAV_MOVEDN      13
#define NAV_PRINT       14
#define NAV_SEARCH      15
#define NAV_SORT        16
#define NAV_FILTER      17
#define NAV_MENU        18
#define NAV_PREVPG      19
#define NAV_NEXTPG      20

#define NAV_SIZE      NAV_MENU
#define NAV_BMP       2000 // num. partenza risorse bitmap

// ----------------------------------------- DIMENSIONE PULSANTI DEL NAVIGATOR
/*
#define BAR_HEIGHT    24
#define BAR_BTN_GAP    0
#define BAR_BTN_SIZE  24
*/
#define BAR_HEIGHT    m->app:aNavSize[1]
#define BAR_BTN_SIZE  m->app:aNavSize[2]
#define BAR_BTN_GAP   m->app:aNavSize[3]

// ------------------------------- VALORI DI USCITA DA DLG, BROWSE E DOCUMENTI
#define RET_OK          0
#define RET_ESC         1

#define RET_HEAD        2         // torna dalle righe alla testata
#define RET_ROWS        3         // passa dalla testata alle righe
#define RET_FHEAD       4         // entra per la prima volta nella testata

#define RET_NONE       -1         // non esegue nulla


//#define RET_DLGESC      1
//#define RET_HEAD        1
//#define RET_ROWS        2
//#define RET_DOCESC      3

#define  _CSBROWSE_CH
#endif