//////////////////////////////////////////////////////////////////////
//
//  DBSTRUCT.CH
//
//  Copyright:
//      Alaska Software, (c) 1998-2023. All rights reserved.         
//  
//  Contents:
//      #define constants for the 2 dimensional array which is
//      returned by the function Dbstruct().
//      -> Field structure of a database
//   
//////////////////////////////////////////////////////////////////////


// Dbstruct.ch is not included
#ifndef  _DBSTRUCT_CH     

// Field name
#define  DBS_NAME      1  
// Field type
#define  DBS_TYPE      2  
// Field length
#define  DBS_LEN       3  
// Number of decimal places
#define  DBS_DEC       4  

// Length of a aub-array which contains the field structure
#define  DBS_ALEN      4  

// Dbstruct.ch is included
#define  _DBSTRUCT_CH     

#endif   // #ifndef _DBSTRUCT_CH

// * EOF *
