//////////////////////////////////////////////////////////////////////
//
//  SETCURS.CH
//
//  Copyright:
//      Alaska Software, (c) 1998-2023. All rights reserved.         
//  
//  Contents:
//      #define constants for the function SetCursor()
//      -> define shape of screen cursor in text mode
//   
//////////////////////////////////////////////////////////////////////


// Setcurs.ch is not included
#ifndef  _SETCURS_CH     

// Cursor is not visible
#define  SC_NONE      0  
// Underscore (normal cursor)
#define  SC_NORMAL    1  
// Half block at bottom (cursor in insert mode)
#define  SC_INSERT    2  
// Full block
#define  SC_SPECIAL1  3  
// Half block at top
#define  SC_SPECIAL2  4  

// Setcurs.ch is included
#define  _SETCURS_CH     

#endif    // #ifndef _SETCURS_CH

// * EOF *
