//////////////////////////////////////////////////////////////////////
//
//  XBTDRV.CH
//
//  Copyright:
//      Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//      #define-constants for the inputMode() function of XbTools-III
//   
//////////////////////////////////////////////////////////////////////


#ifndef _XBTDRV_CH
#define _XBTDRV_CH

//*****************************************************************************
// Constants for InputMode()
//*****************************************************************************

#define IMODE_NO           0    // no input command on the stack
#define IMODE_WAIT         1    // WAIT
#define IMODE_ACCEPT       2    // not supported
#define IMODE_INPUT        3    // ACCEPT, INPUT
#define IMODE_READ         4    // READ, READ SAVE
#define IMODE_MEMOEDIT     5    // MemoEdit()
#define IMODE_MENU         6    // MENU TO
#define IMODE_INKEY        7    // INKEYTRAP()
#define IMODE_DEBUG        8    // not supported
#define IMODE_GETINPUT     9    // not supported
#define IMODE_GETSECRET   10    // not supported
#define IMODE_ACHOICE     11    // ACHOICE()

#endif                          // #ifndef _XBTDRV_CH

// EOF
