//////////////////////////////////////////////////////////////////////
//
//  XBTVIDEO.CH
//
//  Copyright:
//      Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//      Compatibility #define-constants for video functions
//   
//////////////////////////////////////////////////////////////////////


#ifndef _XBTVIDEO_CH              // XbtVideo.ch is not included

#define _XBTVIDEO_CH              // XbtVideo.ch is included

// VIDEOTYPE()
#define VCARD_MONOCROME       1   // not supported
#define VCARD_CGA             2   // not supported
#define VCARD_HERCULES        5   // not supported
#define VCARD_MCGA           10   // not supported
#define VCARD_PGA            19   // not supported
#define VCARD_EGA            55   // not supported
#define VCARD_VGA           127   // supported

#endif                            // #ifndef _XBTVIDEO_CH

// EOF
