//////////////////////////////////////////////////////////////////////
//
//  XBTWIN.CH
//
//  Copyright:
//      Alaska Software, (c) 1996-2023. All rights reserved.         
//  
//  Contents:
//      Constants for XbTools-III window functions
//   
//////////////////////////////////////////////////////////////////////


#ifndef _XBTWIN_CH
#define _XBTWIN_CH


// Event code if a window is clicked with the mouse (-> WSelect())
#define  xbeXT_WSelect           67108865

// #defines for WBox()
                                       //  ͻ  
#define WB_DOUBLE_CLEAR          0     //  
                                       //  ͼ  
                                       //  Ŀ   
#define WB_SINGLE_CLEAR          1     //  
                                       //  
                                       //  ͸
#define WB_DOUBLE_SINGLE_CLEAR   2     //  
                                       //  ;
                                       //  ķ
#define WB_SINGLE_DOUBLE_CLEAR   3     //  
                                       //  Ľ
                                       //  ͻ
#define WB_DOUBLE                4     //      
                                       //  ͼ
                                       //  Ŀ
#define WB_SINGLE                5     //      
                                       //  
                                       //  ͸
#define WB_DOUBLE_SINGLE         6     //      
                                       //  ;
                                       //  ķ
#define WB_SINGLE_DOUBLE         7     //      
                                       //  Ľ
                                       //  
#define WB_HALF_FULL_CLEAR       8     //  ۰
                                       //    
                                       //  
#define WB_HALF_CLEAR            9     //  ް
                                       //   
                                       //
                                       //  
#define WB_FULL_HALF_CLEAR      10     //  ް
                                       //  
                                       //
                                       //  
#define WB_FULL_CLEAR           11     //  ۰
                                       //  
                                       //    
#define WB_HALF_FULL            12     //       
                                       //  
                                       //    
#define WB_HALF                 13     //       
                                       //  
                                       //  
                                       //    
#define WB_FULL_HALF            14     //       
                                       //  
                                       //  
                                       //  
#define WB_FULL                 15     //       
                                       //  
                                         
#endif // _XBTWIN_CH

