//////////////////////////////////////////////////////////////////////
//
//  XPPPP.CH
//
//  Copyright:
//      Alaska Software, (c) 2000-2018. All rights reserved.         
//  
//  Contents:
//      #define constants for Xbase++ Pre-Processor-API
//   
//////////////////////////////////////////////////////////////////////


#ifndef __XPPPP_CH__
#define __XPPPP_CH__
#include "error.ch"

#define XPP_PPERR_NOERROR                 XPP_ERR_NONE
#define XPP_PPERR_UNEXPECTED_EOF          4001
#define XPP_PPERR_UNBALANCED_DELIMITER    4002
#define XPP_PPERR_INVALID_DIRECTIVE       4003
#define XPP_PPERR_UNBALANCED_IF           4004
#define XPP_PPERR_PPMISSING_ENDIF         4005
#define XPP_PPERR_INVALID_IDENT           4006
#define XPP_PPERR_INCLUDEFILE_NOT_FOUND   4007
#define XPP_PPERR_INVALID_INCLUDEFILE     4008
#define XPP_PPERR_INVALID_MARKER          4009
#define XPP_PPERR_MISSING_TRSEP           4010
#define XPP_PPERR_NO_PARAMATCH            4011
#define XPP_PPERR_TOO_MANY_INCLUDES       4012
#define XPP_PPERR_OPTIONAL_RESULT         4013
#define XPP_PPERR_CANNOT_READ_FILE        4014
#define XPP_PPERR_INTERNAL                4015
#define XPP_PPERR_UNKNOWN_RESULT          4016
#define XPP_PPERR_ERROR_DIRECTIVE         4017
#define XPP_PPERR_CIRC_DEFINE             4018
#define XPP_PPERR_CIRC_TRANSLATE          4019
#define XPP_PPERR_CIRC_COMMAND            4020
#define XPP_PPERR_CIRC_DIRECTIVE          4021
#define XPP_PPERR_IFDEF_OVERFLOW          4022
#define XPP_PPERR_LINE_OVERFLOW           4023
#define XPP_PPERR_CANNOT_OPEN_PPOFILE     4024
#define XPP_PPERR_CRLF_IN_STRING          4025


#endif
