#ifndef __XWBINTERFACES_CH__
#define __XWBINTERFACES_CH__

//
// COM Interface IDs Defined
//
#define GUID_XWBDEBUGGER       "{D6B7B2F5-8422-11D6-B488-0004AC9D5CA6}"

#define GUID_XWBEDITMANAGER    "{C1648841-88FB-11D6-B48C-0004AC9D5CA6}"
#define GUID_XWBEDITFILE       "{C1648843-88FB-11D6-B48C-0004AC9D5CA6}"

#define GUID_XWBPROJECTMANAGER "{57F3A551-89AB-11D6-B48D-0004AC9D5CA6}"

#define GUID_XWBCMDWINDOW      "{9B0D4DA4-883E-11D6-B48B-0004AC9D5CA6}"
#define GUID_XWBOUTPUTWINDOW   "{732D7466-9AC6-4D2B-9DF6-3E766DF7BAA8}"

#define GUID_XWBIDE            "{E1A1F40B-4EC0-4E67-9857-72BE2DFCDE50}"

#define GUID_XWBTARGETMANAGER  "{1884C28C-45D3-45AC-8DC7-11801338E588}"

//
// Elements Defined in XWBIDE():WindowStack
//
#define XWB_CMD_WINDOW         1
#define XWB_OUTPUT_WINDOW      2

#define XWB_NUM_WINDOWS        2

//
// Message types
//
#define MSG_TYPE_DEFAULT       0
#define MSG_TYPE_CONFIRMATION  1
#define MSG_TYPE_QUESTION      2
#define MSG_TYPE_QUESTIONABORT 3
#define MSG_TYPE_RETRY         4
#define MSG_TYPE_RETRYABORT    5

//
// Message styles
//
#define MSG_STYLE_DEFAULT      0
#define MSG_STYLE_INFORMATION  1
#define MSG_STYLE_WARNING      2
#define MSG_STYLE_QUESTION     3
#define MSG_STYLE_ERROR        4

//
// Message returns
//
#define MSG_RETURN_ABORT       3
#define MSG_RETURN_CANCEL      2
#define MSG_RETURN_IGNORE      5
#define MSG_RETURN_NO          7
#define MSG_RETURN_OK          1
#define MSG_RETURN_RETRY       4
#define MSG_RETURN_YES         6


#endif  // __XWBINTERFACES_CH__
